<?php
  include("conn.php");
  include("fnc-titulares.php");
  //Recupero parametros
  $vDataPeriodos     = $_POST['xDataPeriodos'];
  $vUnidades         = $_POST['xUnidades'];
  $vConceptos        = $_POST['xConceptos'];
  $vRubros           = $_POST['xRubros'];
  $vComprobantes     = $_POST['xComprobantes'];
  $vModuloMesas      = $_POST['xModuloMesas'];
  $vModuloMostrador  = $_POST['xModuloMostrador'];
  $vModuloDelivery   = $_POST['xModuloDelivery'];
  $vTurno            = $_POST['xTurno'];

  $sql = "SELECT PUESTO FROM " . $_SESSION["BaseMadre"] . "glPuestos WHERE DESCRI = 'TABLERO_WEB'";
  $RsPuesto = $DBSegu->Execute($sql);
  if (!$RsPuesto) {
    $jsondata['success'] = false;
    $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.01';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    die();  
  }

  if ($RsPuesto->RecordCount() > 0) { 
    $sql = "SELECT PARAM FROM " . $_SESSION["BaseMadre"] . "glConfig WHERE PUESTO = " . $RsPuesto->fields['PUESTO'] . " AND CLAVE = 'COD_BARRA_VE'";
    $RsPuesto = $DBSegu->Execute($sql);
    if (!$RsPuesto) {
      $jsondata['success'] = false;
      $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.02';
      header('Content-type: application/json; charset=utf-8');
      echo json_encode($jsondata);
      die();  
    }

    if ($RsPuesto->RecordCount() == 0) {
      $muestraCodigo = 0; //rubro-codigo
    }
    else {
      if ($RsPuesto->fields['PARAM'] == 1) {
        $muestraCodigo = 1; //cod-barra
      }
      else {
        $muestraCodigo = 0; //rubro-codigo
      }
    }
  }
  else {
    $muestraCodigo = 0; //rubro-codigo
  }

//Armo el filtro de periodos;
  $cantidadPeriodos = 0;
  $sqlPeriodos = "";
  if ($vDataPeriodos != '') {
    $xDataPeriodos = json_decode($vDataPeriodos);
    $sqlPeriodos = " AND (";
    foreach ($xDataPeriodos as $value) {
      $cantidadPeriodos ++;
      if ($sqlPeriodos <> " AND (") {
        $sqlPeriodos .= " OR ";
      }
      $sqlPeriodos .= "(X.FECHA BETWEEN '" . $value->desde . "' AND '" . $value->hasta . "')";
    }
    $sqlPeriodos .= ")";
  }
  //Armo el filtro de empresas
  //el filtro de titulares se hace luego en el while de cada empresa
  $sqlEmpresas = '';
  if ($vUnidades != '') {
    $xUnidades = explode(',' , $vUnidades);
    $sqlEmpresas = " AND (";
    foreach ($xUnidades as $value) {
      $aux = explode('-', $value);
      
      if ($sqlEmpresas <> " AND (") {
        $sqlEmpresas .= " OR ";
      }
      $sqlEmpresas .= "(E.BASE = " . $aux[0] . ")";
    }
    $sqlEmpresas .= ")";
  }

  //Armo el filtro por módulo
  $sqlModulo = "";
  if ($vModuloMesas == 1) {
    $sqlModulo = "and (X.modulo = 'M' "; 
  }
  if ($vModuloDelivery == 1) {
    if ($sqlModulo == "") {
      $sqlModulo = "and (X.modulo = 'D' ";
    }
    else {
      $sqlModulo .= " or X.modulo = 'D' ";
    }  
  }
  if ($vModuloMostrador == 1) {
    if ($sqlModulo == "") {
      $sqlModulo = "and (X.modulo = 'B' ";
    }
    else {
      $sqlModulo .= " or X.modulo = 'B' ";
    }
  }
  if ($sqlModulo != "") {
    $sqlModulo .= ")"; 
  }

  //Armo filtro por turno
  $sqlTurno = "";
  if ($vTurno != '-1') { 
    $sqlTurno = "    INNER JOIN Reemplazo.dbo.caCierre C 
                     ON C.CIERRE = X.CIERRE 
                        AND C.PARCIAL = " . $_POST['xTurno'];
  }
  
  //Armo el filtro de conceptos y rubros; uso solo sqlProductos para ambos
  //ninguno
  if (($vConceptos == '') && ($vRubros == '')) {
    $sqlProductos = '';
  }

  //solo conceptos
  if (($vConceptos != '') && ($vRubros == '')) {
    $sqlProductos = '';
    $xConceptos = explode(',' , $vConceptos);
    $sqlProductos = " AND (";
    foreach ($xConceptos as $value) {
      if ($sqlProductos <> " AND (") {
        $sqlProductos .= " OR ";
      }
      $sqlProductos .= "(I.CONCEPTO = " . $value . ")";
    }
    $sqlProductos .= ")";
  }  

  //solo rubros
  if (($vConceptos == '') && ($vRubros != '')) {
    $sqlProductos = '';
    $xRubros = explode(',' , $vRubros);
    $sqlProductos = " AND (";
    foreach ($xRubros as $value) {
      if ($sqlProductos <> " AND (") {
        $sqlProductos .= " OR ";
      }
      $sqlProductos .= "(R.RUBRO = " . $value . ")";
    }
    $sqlProductos .= ")";
  }  

  //ambos
  if (($vConceptos != '') && ($vRubros != '')) {
    $sqlProductos = '';
    $xRubros = explode(',' , $vRubros);
    $xConceptos = explode(',' , $vConceptos);
    $sqlProductos = " AND (";
    foreach ($xRubros as $value) {
      if ($sqlProductos <> " AND (") {
        $sqlProductos .= " OR ";
      }
      $sqlProductos .= "(R.RUBRO = " . $value . ")";
    }
    foreach ($xConceptos as $value) {
      if ($sqlProductos <> " AND (") {
        $sqlProductos .= " OR ";
      }
      $sqlProductos .= "(I.CONCEPTO = " . $value . ")";
    }
    $sqlProductos .= ")";
  }  

  //armo el array de comprobantes agrupado por remito para recorrer y mostrar
  $auxComprobantes = '';
  if ($vComprobantes != '') {
    $xComprobantes = explode(',' , $vComprobantes);
    foreach ($xComprobantes as $value) {
    //$value->desde;
      if ($sqlComprobantes != "") {$sqlComprobantes .= ",";}
      $sqlComprobantes .= $value;
    }
  $sqlTemporal = "Select TIPO_MOV, REMITO From " . $_SESSION["BaseMadre"] . "vetipomov where tipo_mov in (" . $auxComprobantes . ") order by remito ";
  }
  else {
    $sqlTemporal = "Select TIPO_MOV, REMITO From " . $_SESSION["BaseMadre"] . "vetipomov where TIPO_MOV_CC IS NOT NULL order by remito ";
  }
  $RsTemporal = sqlsrv_query( $conn, $sqlTemporal);    
  if (! $RsTemporal ) {    
    $jsondata['success'] = false;
    $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.00';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    die( print_r( sqlsrv_errors(), true));    
  }    
  $tmpRemito0 = '';
  $tmpRemito1 = '';
  $arrayComprobantes = array();
  while( $row = sqlsrv_fetch_array( $RsTemporal, SQLSRV_FETCH_ASSOC)) {  
    switch ($row['REMITO']) {
      case '0':
        if ($tmpRemito0 != '') {$tmpRemito0 .= ',';}
        $tmpRemito0 .= $row['TIPO_MOV'];
      break;
      case '1':
        if ($tmpRemito1 != '') {$tmpRemito1 .= ',';}
        $tmpRemito1 .= $row['TIPO_MOV'];
      break;
    }
  }
  $arrayComprobantes['Facturado'] = $tmpRemito0;
  $arrayComprobantes['Pendiente'] = $tmpRemito1;
  $cantidadComprobantes = 2;

  $sqlVistaTitulares = getVistaTitulres($DBSegu);

  function getTitulares($lista, $base) {
    $resu = '';

    if ($lista != '') {
      $xUnidades = explode(',' , $lista);
      $xxx = '';
      foreach ($xUnidades as $value) {
        $aux = explode('-', $value);
        if ($aux[0] == $base) {
          if ($xxx <> "") {
            $xxx .= ", ";
          }
        $xxx .= " " . $aux[1];
        }
      }
      $resu = " AND TITULAR IN (" . $xxx . ")";
    }

    return $resu;
  }
  $resu = '';

  //armo el script para crear la tabla temporal; la cantidad de columnas va a depender del la cantidad de periodos;
  $sqlTemporal = "create table #TablaTemporal (BASE INT, TITULAR INT, DESC_BASE varchar(250), DESC_TITULAR VARCHAR(250), MONTO1 MONEY default 0, CANTIDAD1 MONEY default 0, MONTO2 MONEY default 0, CANTIDAD2 MONEY default 0)";

  $RsTemporal = sqlsrv_query( $conn, $sqlTemporal);    
  if (! $RsTemporal ) {    
    $jsondata['success'] = false;
    $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.00';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    die( print_r( sqlsrv_errors(), true));    
  }    
/*  $RsTemporal = $DBSegu->Execute($sqlTemporal);
  if (!$RsTemporal) {
    $jsondata['success'] = false;
    $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.00';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    die();  
  }*/

  $sqlTemporal = "create NONCLUSTERED INDEX idx_TablaTemporal ON #TablaTemporal (BASE, TITULAR)";
  $RsTemporal = sqlsrv_query( $conn, $sqlTemporal);    
  if (! $RsTemporal ) {    
    $jsondata['success'] = false;
    $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.00';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    die( print_r( sqlsrv_errors(), true));    
  }    
/*  $RsTemporal = $DBSegu->Execute($sqlTemporal);
  if (!$RsTemporal) {
    $jsondata['success'] = false;
    $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.00';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    die();  
  }*/

  $misDatos = array();
  $ordenComprobantes = 0;
  foreach ($arrayComprobantes as $item => $value) {
    $ordenComprobantes ++;
    $sqlAdmin = ($_SESSION['CurrentAdmin'] == 0)?" AND UB.ID_USUARIO = ".$_SESSION['CurrentIdUser']:"";
    $sqlBases = "SELECT DISTINCT E.BASE, E.DESCRI, E.NOMBRE_BASE 
                 FROM (SELECT XB.BASE, XB.DESCRI, XB.NOMBRE_BASE 
                       FROM BASES xB 
                            INNER JOIN USUARIOSBASES XUB 
                                INNER JOIN USUARIOS XU 
                                ON XUB.ID_USUARIO = XU.ID_USUARIO 
                                AND XU.USUARIO = 'PIXO_WEB' 
                            ON XB.BASE = XUB.BASE) E 
                      INNER JOIN USUARIOSBASES UB 
                          INNER JOIN USUARIOS U 
                          ON UB.ID_USUARIO = U.ID_USUARIO 
                      ON E.BASE = UB.BASE ".$sqlAdmin."
                 WHERE 1=1 ".$sqlEmpresas."
                 ORDER BY E.DESCRI";
    $RsEmpresas = $DBSegu->Execute($sqlBases);
    if (!$RsEmpresas) {
      $jsondata['success'] = false;
      $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.02';
      header('Content-type: application/json; charset=utf-8');
      echo json_encode($jsondata);
      die();  
    }

    $subConsulta = '';
    while (!$RsEmpresas->EOF) {
      $sqlTitulares = getTitulares($vUnidades, $RsEmpresas->fields['BASE']); 

      if ($subConsulta != '') {
        $subConsulta .= ' UNION ALL ';
      };

      $subConsulta .= "Select " .$RsEmpresas->fields['BASE']. " as base, IV.comprob, IV.concepto, IV.cantidad, IV.precio, " .
                              $RsEmpresas->fields["NOMBRE_BASE"] . ".dbo.veImpoRel(IV.comprob,IV.item) as iva, X.fecha, T.credito, X.titular, 
                              X.tipo_mov, '".utf8_encode($RsEmpresas->fields["DESCRI"])."' AS DESC_BASE
                       From " . $RsEmpresas->fields["NOMBRE_BASE"] . ".dbo.veventas X 
                            inner join " . $RsEmpresas->fields["NOMBRE_BASE"] . ".dbo.veimputa IV 
                            on X.comprob = IV.comprob 
                            inner join " . $RsEmpresas->fields["NOMBRE_BASE"] . ".dbo.veTipoMov T 
                            on T.tipo_mov = X.tipo_mov and T.tipo_mov_cc is not null
                            right outer join " . $RsEmpresas->fields["NOMBRE_BASE"] . ".dbo.glConceptos I
                                inner join " . $RsEmpresas->fields["NOMBRE_BASE"] . ".dbo.glRubros R
                                on I.rubro = R.rubro 
                            on IV.concepto = I.concepto " .
                            $sqlProductos .
                            $sqlPeriodos .
                             str_replace('Reemplazo',$RsEmpresas->fields["NOMBRE_BASE"],$sqlTurno) . 
                      "where X.tipo_mov in (9999999, " . $value . ") " .
                             $sqlTitulares .
                             $sqlModulo .
                         "and isnull(IV.gravamen,0) = 0 "; 


      $RsEmpresas->MoveNext();
    }

    //ERA CON RIGHT OUTER
    $sqlConsulta = "Select E.BASE, E.TITULAR, E.DESCRI, isnull(V.DESC_BASE, '') as DESC_BASE, 
                          cast(E.base as varchar) + '00' + cast(E.titular as varchar) as TitularX,
                          isnull(sum(cantidad * " . $_SESSION["BaseMadre"] . "valorcredito( V.credito)), 0) as CANTIDAD,
                          isnull(Round(sum((((V.precio * V.cantidad) + V.iva) * " . $_SESSION["BaseMadre"] . "valorcredito( V.credito))), 2), 0) as MONTO 
                    FROM (" . $subConsulta . ")  V 
                         right outer join ".$sqlVistaTitulares." E 
                         on V.base = E.base and E.titular = V.titular
                    where 1=1 " . $sqlEmpresas . " 
                    GROUP BY E.base, E.titular, E.descri, V.DESC_BASE  
                    ORDER BY E.base, E.titular ";

    $RsConsulta = $DBSegu->Execute($sqlConsulta);
    if (!$RsConsulta) {
      $jsondata['success'] = false;
      $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.03'.$sqlConsulta;
      header('Content-type: application/json; charset=utf-8');
      echo json_encode($jsondata);
      die();  
    }
   
    while (!$RsConsulta->EOF) {
      //echo $RsConsulta->fields['CONCEPTO'].'  ----  ';
      if ($ordenComprobantes == 1) {
        $sqlTemporal = "insert into #TablaTemporal (BASE, TITULAR, DESC_BASE, DESC_TITULAR, MONTO1, CANTIDAD1) 
                        values (".$RsConsulta->fields['BASE'].", ".$RsConsulta->fields['TITULAR'].", '".($RsConsulta->fields['DESC_BASE'])."', '".
                        utf8_encode($RsConsulta->fields['DESCRI'])."', ".
                        $RsConsulta->fields['MONTO'].", ".$RsConsulta->fields['CANTIDAD'].")";
        $RsTemporal = sqlsrv_query( $conn, $sqlTemporal);    
        if (! $RsTemporal ) {    
          $jsondata['success'] = false;
          $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.02';
          header('Content-type: application/json; charset=utf-8');
          echo json_encode($jsondata);
          die( print_r( sqlsrv_errors(), true));    
        }    
        // $RsTemporal = $DBSegu->Execute($sqlTemporal);
      }
      else {
        $sqlTemporal = "update #TablaTemporal set MONTO".$ordenComprobantes."=".$RsConsulta->fields['MONTO'].", CANTIDAD".$ordenComprobantes."=".$RsConsulta->fields['CANTIDAD']." where BASE=".$RsConsulta->fields['BASE'] . " AND TITULAR = " . $RsConsulta->fields['TITULAR']  . " IF @@ROWCOUNT = 0 BEGIN  insert into #TablaTemporal (BASE, DESC_BASE, TITULAR, DESC_TITULAR, CANTIDAD".$ordenComprobantes.", MONTO".$ordenComprobantes.") 
                          values (".$RsConsulta->fields['BASE'].", '".($RsConsulta->fields['DESC_BASE'])."', ".
                          $RsConsulta->fields['TITULAR'].", '".utf8_encode($RsConsulta->fields['DESCRI'])."', ".
                          $RsConsulta->fields['CANTIDAD'].", ".$RsConsulta->fields['MONTO'].") END";
        $RsTemporal = sqlsrv_query( $conn, $sqlTemporal);    
        if (! $RsTemporal ) {    
          $jsondata['success'] = false;
          $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.03';
          header('Content-type: application/json; charset=utf-8');
          echo json_encode($jsondata);
          die( print_r( sqlsrv_errors(), true));    
        }    
        //$RsTemporal = $DBSegu->Execute($sqlTemporal);
      }
      $RsConsulta->MoveNext();
    }
  } 

  //Obtengo los totales (para poder sacar porcentaje)
  $sqlTotal = "select SUM(CANTIDAD1) AS CANTIDAD1, SUM(MONTO1) AS MONTO1 ";
  for ($i = 2; $i <= $cantidadComprobantes; $i++) {
    $sqlTotal .= ", SUM(CANTIDAD".$i.") AS CANTIDAD".$i.", SUM(MONTO".$i.") AS MONTO".$i." ";
  }
  $sqlTotal .= "FROM #TablaTemporal  
                  WHERE CANTIDAD1 <> 0 ";
  for ($i = 2; $i <= $cantidadComprobantes; $i++) {
    $sqlTotal .= " OR CANTIDAD".$i." <> 0 ";
  }
  $RsTotales = sqlsrv_query( $conn, $sqlTotal);    
  if (! $RsTotales ) {    
    $jsondata['success'] = false;
    $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.04';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    die( print_r( sqlsrv_errors(), true));    
  }    
  $rowTotales = sqlsrv_fetch_array( $RsTotales, SQLSRV_FETCH_ASSOC);
  /*$RsTotales = $DBSegu->Execute($sqlTotal);
  if (!$RsTotales) {
    $jsondata['success'] = false;
    $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.04';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    die();  
  }*/

  //Obtengo del detalle a mostrar
  $sqlTemporal = "select BASE, TITULAR, DESC_BASE, DESC_TITULAR, CANTIDAD1, MONTO1, CANTIDAD2, MONTO2, 
                         CASE WHEN MONTO1 = 0 THEN 0 
                              WHEN MONTO2 = 0 THEN 100
                              ELSE MONTO1 * 100 / (MONTO1 + MONTO2)
                         END AS PORCENTAJE1, 
                         CASE WHEN MONTO2 = 0 THEN 0
                              WHEN MONTO1 = 0 THEN 100
                              ELSE MONTO2 * 100 / (MONTO1 + MONTO2) 
                         END AS PORCENTAJE2  ";
  $sqlTemporal .= "FROM #TablaTemporal  
                  WHERE 1=1 AND (MONTO1 + MONTO2) <> 0 ";
  $sqlTemporal .= "order by BASE, TITULAR";
  $RsTemporal = sqlsrv_query( $conn, $sqlTemporal);    
  if (! $RsTemporal ) {    
    $jsondata['success'] = false;
    $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.05';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    die( print_r( sqlsrv_errors(), true));    
  } 
/*  $RsTemporal = $DBSegu->Execute($sqlTemporal);
  if (!$RsTemporal) {
    $jsondata['success'] = false;
    $jsondata['message'] = 'Ha ocurrido un error durante la consulta. Ref. #V01.05';
    header('Content-type: application/json; charset=utf-8');
    echo json_encode($jsondata);
    die();  
  }*/
  //ACA DEBO METER CORTE DE CONTROL POR RUBRO y en el título debo poner correctamente el de cada periodo
  $resu = ' <div class="row">
              <table id="tablaResultado" class="display table table-striped table-bordered sticky-header" style="width:100%">
                <thead style="background-color: #db5916; color: aliceblue;">
                  <tr>
                    <th class="thalign tituloshead" rowspan="2">UNIDAD DE NEGOCIO</th>';
  for ($i = 1; $i <= $cantidadComprobantes; $i++) {
    $xxx = 2;
    if ($i == 1) {$yyy = 'Facturado';}else{$yyy = 'Pendiente';}
    $resu .= '      <th colspan="'.$xxx.'" class="thalign fechastable" style="border-bottom: 0px;">' . $yyy . '</th>';
  }
  $resu .='       </tr>
                  <tr>';
  for ($i = 1; $i <= $cantidadComprobantes; $i++) {
    $resu .= '    <th style="width: 10%;" class="thalign tituloshead">Importe</th>
                  <th class="thalign tituloshead">%</th>';
  }
  $resu .='       </tr>
                </thead>
               <tbody>';
  $baseAnt = -1;

  $acumuladorCantidad   = array();
  $acumuladorMonto      = array();
  $acumuladorPorcentaje = array();
  for ($x = 1; $x <= $cantidadComprobantes; $x++) {
    $acumuladorCantidad[$x]   = 0;
    $acumuladorMonto[$x]      = 0;
    $acumuladorPorcentaje[$x] = 0;
  }
  $auxTotal = '';
  //ojo, debo llevar contadores totales y de rubro por cada periodo  SQLSRV_FETCH_ASSOC
  //while (!$RsTemporal->EOF) {
  while( $row = sqlsrv_fetch_array( $RsTemporal, SQLSRV_FETCH_ASSOC)) {  
    if ($baseAnt != $row['BASE']) {
      if ($baseAnt != -1) {
        $resu .= '      <tr class="subtotales">';
        $resu .= '        <td>TOTAL ' . $auxTotal . '</td>';
        for ($i = 1; $i <= $cantidadComprobantes; $i++) {
          $resu .= '         <td class="numerico">$' . number_format($acumuladorMonto[$i], 2, ',', '.') . '</td>';
          $resu .= '         <td class="numerico">' . number_format($acumuladorPorcentaje[$i], 2, ',', '.') . '%</td>';
        }
        $resu .= '      </tr>';  
      }
      
      $filas = 5 + (($cantidadComprobantes-1)*4);
      $resu .= '        <tr class="titulosfilas">';
      $resu .= '          <td style="border: 0;">' . $row['DESC_BASE'] . '</td>';
      for ($i = 1; $i <= $cantidadComprobantes; $i++) {
        $resu .= '         <td style="border: 0;"></td>';
        $resu .= '         <td style="border: 0;"></td>';
      }
      $resu .= '      </tr>';  
      $baseAnt = $row['BASE'];
      $auxTotal = ($row['DESC_BASE']);
      for ($z = 1; $z <= $cantidadComprobantes; $z++) {
        $acumuladorCantidad[$z]   = 0;
        $acumuladorMonto[$z]      = 0;
        $acumuladorPorcentaje[$z] = 0;
      }
    }
    for ($i = 1; $i <= $cantidadComprobantes; $i++) {
      $acumuladorCantidad[$i] = (float)$acumuladorCantidad[$i] + (float)$row['CANTIDAD'.$i];
      $acumuladorMonto[$i] = (float)$acumuladorMonto[$i] + (float)$row['MONTO'.$i];
      if ((float)$rowTotales['CANTIDAD'.$i] != 0) {
        $porcentaje = ((float)$rowTotales['CANTIDAD'.$i] == 0)?0:(float)$row['CANTIDAD'.$i] * 100 / (float)$rowTotales['CANTIDAD'.$i];
      }
      else {
        $porcentaje = 0;
      }
      $acumuladorPorcentaje[$i] = (float)$acumuladorPorcentaje[$i] + $porcentaje;
    }
   
    $resu .= '      <tr>';
    $resu .= '        <td>' .  utf8_encode($row['DESC_TITULAR']) . '</td>';
    for ($i = 1; $i <= $cantidadComprobantes; $i++) {
      $resu .= '         <td class="numerico">$' . number_format($row['MONTO'.$i], 2, ',', '.') . '</td>';
      $resu .= '         <td class="numerico">' . number_format($row['PORCENTAJE'.$i], 2, ',', '.') . '%</td>';
    }
    $resu .= '      </tr>';  

    //$RsTemporal->MoveNext();
  }
  //pinto el total del último rubro
  $resu .= '      <tr class="subtotales">';
  $resu .= '        <td>TOTAL ' . $auxTotal . '</td>';
  for ($i = 1; $i <= $cantidadComprobantes; $i++) {
    $resu .= '         <td class="numerico">$' . number_format($acumuladorMonto[$i], 2, ',', '.') . '</td>';
    $resu .= '         <td class="numerico"></td>';
  }
  $resu .= '      </tr>
                </tbody>';

  $resu .= '    <!--<tfoot>-->
                  <tr style="background-color: #3e3e3e; color: aliceblue;">
                    <th class="thalign">Total General</th>';

  for ($i = 1; $i <= $cantidadComprobantes; $i++) {
    $resu .= '      <th class="thalign">$' . number_format($rowTotales['MONTO'.$i], 2, ',', '.') . '</th>';
    $resu .= '      <th class="thalign"></th>';
  }

  $resu .= '      </tr>
                <!--</tfoot>-->
              </div>
            </table>';


  $resu .= '</div>';

  $jsondata = array();
  $jsondata['success'] = true;
  $jsondata['message'] = $resu;
  
  header('Content-type: application/json; charset=utf-8');
  echo json_encode($jsondata);
  die();  
?>